This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 245115 - dhcp6s fails to start on system with 802.1Q VLAN interface
dhcp6s fails to start on system with 802.1Q VLAN interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 04:48 EDT by Petr Krištof
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.10-44.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Expect the name of interface is string. (366 bytes, patch)
2007-06-21 04:48 EDT, Petr Krištof
no flags Details | Diff

  None (edit)
Description Petr Krištof 2007-06-21 04:48:58 EDT
Description of problem:
dhcp6s fails to start on systems with 802.1Q VLAN network interface. It expects
the names of network interfaces are something like eth0, eth1 and so. It fails
in case of 802.1Q interface names like eth0.256 or eth1.44


Version-Release number of selected component (if applicable):
dhcpv6-0.10-42.fc7

How reproducible:

Steps to Reproduce:
1.
Enable 802.1Q support
# grep VLAN /etc/sysconfig/network
VLAN=yes

2.
Create interface
# more /etc/sysconfig/network-scripts/ifcfg-eth1.44
DEVICE=eth1.44
ONBOOT=yes
BOOTPROTO=none
TYPE=Ethernet
IPV6INIT=yes

3.
Edit /etc/dhcp6s.conf and /etc/server6_addr.conf to use name of interface eth1.44

4.
Start dhcp6s
# service dhcp6s start

  
Actual results:
dhcp6s[5458]: syntax error in line 1: eth1.44
dhcp6s[5458]: fatal parse failure: exiting in line 1: eth1.44
dhcp6s[5458]: failed to parse addr configuration file

Expected results:
ps ax |grep dhcp6
 5512 ?        Ss     0:00 /usr/sbin/dhcp6s -c /etc/dhcp6s.conf eth1.44
 5529 pts/3    R+     0:00 grep dhcp6

Additional info:
This bug was reported a year ago to upstream developers, but these @#$%^ ignores it.
Comment 1 Petr Krištof 2007-06-21 04:48:59 EDT
Created attachment 157520 [details]
Expect the name of interface is string.
Comment 2 Fedora Update System 2007-09-12 12:41:28 EDT
dhcpv6-0.10-44.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-17 23:21:38 EDT
dhcpv6-0.10-44.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.